<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer4Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer4_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer4Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer4_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">#ifndef KM_TIMER_4_DEFS_H_</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#define KM_TIMER_4_DEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#define TIMSK4</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define COM4C0</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef TIMSK4</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer_defs_8h.html">kmTimerDefs.h</a>&quot;</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a07102cb8c1857412cb05396660a29abb">   48</a></span><span class="preprocessor">#define KM_TIMER4_BOTTOM KM_TCC_BOTOM</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a5692e7f351b7999a49446a4d2599a1d0">   50</a></span><span class="preprocessor">#define KM_TIMER4_MAX KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#define KM_TIMER4_TOP_8_BIT KM_TCC_TOP_1</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#define KM_TIMER4_TOP_9_BIT KM_TCC_TOP_5</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#define KM_TIMER4_TOP_10_BIT KM_TCC_TOP_4</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#define KM_TIMER4_TOP_16_BIT KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a5a9674f2b60f8e4994f1010d479a07fa">   56</a></span><span class="preprocessor">#define KM_TIMER4_MID KM_TCC_MID_3</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a07cc50f1a03697745c62f1664620f842">   59</a></span><span class="preprocessor">#define KM_TCC4_STOP        (KMC_ALL_BITS_CLEARED               )</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a5c3501a5c72d9db3f9d60b5d5bb158df">   61</a></span><span class="preprocessor">#define KM_TCC4_PRSC_1      (                       _BV(CS40)   )</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aff38660efa414ef075a043627d025b9d">   63</a></span><span class="preprocessor">#define KM_TCC4_PRSC_8      (           _BV(CS41)               )</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a8f59e6188ac8a0de7621b0c0e31be03a">   65</a></span><span class="preprocessor">#define KM_TCC4_PRSC_64 (               _BV(CS41) | _BV(CS40)   )</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a082137289e55d5296aa3627f9cd44cb7">   67</a></span><span class="preprocessor">#define KM_TCC4_PRSC_256    (_BV(CS42)                          )</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad45931d5bf98cf9440bfa53588b5257c">   69</a></span><span class="preprocessor">#define KM_TCC4_PRSC_1024   (_BV(CS42) |            _BV(CS40)   )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ab7f5dc06c4e4efd5ae44c98fb00eb63c">   71</a></span><span class="preprocessor">#define KM_TCC4_EXT_T4_FAL  (_BV(CS42) |_BV(CS41)               )</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aa02b63097438ef3b5d9c107290666bb1">   73</a></span><span class="preprocessor">#define KM_TCC4_EXT_T4_RIS  (_BV(CS42) |_BV(CS41) | _BV(CS40)   )</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac5f2378916ab0ccddb96d5a5f3cb2e6b">   75</a></span><span class="preprocessor">#define KM_TCC4_CS_MASK     KM_TCC4_EXT_T4_RIS</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a8d8525984add01629c223ad5fe7edaca">   78</a></span><span class="preprocessor">#define KM_TCC4_MODE_0_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ae4fcafd7599ed7044031f63d868d2dfc">   80</a></span><span class="preprocessor">#define KM_TCC4_MODE_0_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a576857c0508fe8748e9cf6711c47ef2c">   82</a></span><span class="preprocessor">#define KM_TCC4_MODE_1_A    (                                               _BV(WGM40)  )</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a086cc67039f74a30def0c5fa67435f89">   84</a></span><span class="preprocessor">#define KM_TCC4_MODE_1_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a1dde339bb6c41fc7f2ad64abfa01ca5f">   86</a></span><span class="preprocessor">#define KM_TCC4_MODE_2_A    (                               _BV(WGM41)                  )</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#afdcf4d46bf21fc7f4058ade8bef029e0">   88</a></span><span class="preprocessor">#define KM_TCC4_MODE_2_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ae9e1b46e85f9e99f84dc62441fdb7c0a">   90</a></span><span class="preprocessor">#define KM_TCC4_MODE_3_A    (                               _BV(WGM41) |    _BV(WGM40)  )</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aafe26d1c8039d9bdc167b4ce7bddf53f">   92</a></span><span class="preprocessor">#define KM_TCC4_MODE_3_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a8e94f1bee93897f7ba9219ad0c05a2e8">   94</a></span><span class="preprocessor">#define KM_TCC4_MODE_4_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a55558b0e2d3e7a551b1fb04ab804431a">   96</a></span><span class="preprocessor">#define KM_TCC4_MODE_4_B    (               _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ae55fb4a7f60d3809557d46b38fe19099">   98</a></span><span class="preprocessor">#define KM_TCC4_MODE_5_A    (                                               _BV(WGM40)  )</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac1375fe33100f7e775ac2087bc2f31d3">  100</a></span><span class="preprocessor">#define KM_TCC4_MODE_5_B    (               _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac082f97151e62102ad93caa87f956537">  102</a></span><span class="preprocessor">#define KM_TCC4_MODE_6_A    (                               _BV(WGM41)                  )</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#adca68891c113475e447291be5f1325ac">  104</a></span><span class="preprocessor">#define KM_TCC4_MODE_6_B    (               _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a198f0d570b3e3badb496ca009fa95338">  106</a></span><span class="preprocessor">#define KM_TCC4_MODE_7_A    (                               _BV(WGM41) |    _BV(WGM40)  )</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a48800d0e81c6642bd4b42caddd87daba">  108</a></span><span class="preprocessor">#define KM_TCC4_MODE_7_B    (               _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ae4031cda237c8058965f2d3c04f21035">  110</a></span><span class="preprocessor">#define KM_TCC4_MODE_8_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a03c220a3326b573763b0585474525c39">  112</a></span><span class="preprocessor">#define KM_TCC4_MODE_8_B    (_BV(WGM43)                                                 )</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a883e6439409f665e65a16ffda1a63e2b">  114</a></span><span class="preprocessor">#define KM_TCC4_MODE_9_A    (                                               _BV(WGM40)  )</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a7f2307d710b2378a3918f507bb21a2d9">  116</a></span><span class="preprocessor">#define KM_TCC4_MODE_9_B    (_BV(WGM43)                                                 )</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a9e7e03754d097b147f9aa34eefa49b61">  118</a></span><span class="preprocessor">#define KM_TCC4_MODE_A_A    (                               _BV(WGM41)                  )</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a32f3f90df3b3d41eff30b274cbd9afc4">  120</a></span><span class="preprocessor">#define KM_TCC4_MODE_A_B    (_BV(WGM43)                                                 )</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad592b0ca818ba473cd6ba5a0427b6dbe">  122</a></span><span class="preprocessor">#define KM_TCC4_MODE_B_A    (                               _BV(WGM41) |    _BV(WGM40)  )</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a6879de2e012544daf5f968c3bfaeabd5">  124</a></span><span class="preprocessor">#define KM_TCC4_MODE_B_B    (_BV(WGM43)                                                 )</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#adb36e2642f829b0fa4508be0abe60f2f">  126</a></span><span class="preprocessor">#define KM_TCC4_MODE_C_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a43719596b9cd56c42f82db77db7018f3">  128</a></span><span class="preprocessor">#define KM_TCC4_MODE_C_B    (_BV(WGM43) |   _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a5f522f4666eb401f0c8d7b5b87a89bd4">  130</a></span><span class="preprocessor">#define KM_TCC4_MODE_D_A    (                                               _BV(WGM40)  )</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a39d295d1848a119014960e98c551de73">  132</a></span><span class="preprocessor">#define KM_TCC4_MODE_D_B    (_BV(WGM43) |   _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad59220b2bbb2d7b9fec7c7ea5411fa21">  134</a></span><span class="preprocessor">#define KM_TCC4_MODE_E_A    (                               _BV(WGM41)                  )</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac19e0b53585f74c49e61c3c4c2e29432">  136</a></span><span class="preprocessor">#define KM_TCC4_MODE_E_B    (_BV(WGM43) |   _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a653f5aa22f0ac116ff952b00e6fd7f09">  138</a></span><span class="preprocessor">#define KM_TCC4_MODE_F_A    (                               _BV(WGM41) |    _BV(WGM40)  )</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a2e62630dfd5cd77104f93dd9d30fa1c2">  140</a></span><span class="preprocessor">#define KM_TCC4_MODE_F_B    (_BV(WGM43) |   _BV(WGM42)                                  )</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a925015ac098798281065da159cb4a7bc">  142</a></span><span class="preprocessor">#define KM_TCC4_MODE_MASK_A KM_TCC4_MODE_F_A</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a4d525f5662ab0b6f421dfed06a7bd082">  144</a></span><span class="preprocessor">#define KM_TCC4_MODE_MASK_B KM_TCC4_MODE_F_B</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aff284e5d11cbe92d9e06d9f407602978">  147</a></span><span class="preprocessor">#define KM_TCC4_A_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad1e2c473b6d871dd8d193adbbcf35a07">  149</a></span><span class="preprocessor">#define KM_TCC4_A_COMP_OUT_TOGGLE   (               _BV(COM4A0) )</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a3d4fb8ec2da610bb6aff3e81ff45bd79">  151</a></span><span class="preprocessor">#define KM_TCC4_A_COMP_OUT_CLEAR    (_BV(COM4A1)                )</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad419e6e9de5fb07d12ce9760705e56c9">  153</a></span><span class="preprocessor">#define KM_TCC4_A_COMP_OUT_SET      (_BV(COM4A1) |  _BV(COM4A0) )</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">#define KM_TCC4_COMP_A_MASK         KM_TCC4_A_COMP_OUT_SET</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad44b1f93add1fcbfdae2e7cd3040bc35">  157</a></span><span class="preprocessor">#define KM_TCC4_B_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a40a0bff22c804eea26fe6faf2bc04123">  159</a></span><span class="preprocessor">#define KM_TCC4_B_COMP_OUT_TOGGLE   (               _BV(COM4B0) )</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a051c95e7da10c89cd805ec832d68ec1e">  161</a></span><span class="preprocessor">#define KM_TCC4_B_COMP_OUT_CLEAR    (_BV(COM4B1)                )</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a6403b960b33ab2e5ee76594dfc00bcc6">  163</a></span><span class="preprocessor">#define KM_TCC4_B_COMP_OUT_SET      (_BV(COM4B1) |  _BV(COM4B0) )</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">#define KM_TCC4_COMP_B_MASK         KM_TCC4_B_COMP_OUT_SET</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad9b7aaebc5be328947842990afd4cc19">  167</a></span><span class="preprocessor">#define KM_TCC4_C_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aa3cf822343e2559c42119f9cdde8a7d6">  169</a></span><span class="preprocessor">#define KM_TCC4_C_COMP_OUT_TOGGLE   (               _BV(COM4C0) )</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a09f2c68b43b4b7d434decf2df0e26ee0">  171</a></span><span class="preprocessor">#define KM_TCC4_C_COMP_OUT_CLEAR    (_BV(COM4C1)                )</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac8b7520964fac7452d9cd5430aaadd14">  173</a></span><span class="preprocessor">#define KM_TCC4_C_COMP_OUT_SET      (_BV(COM4C1) |  _BV(COM4C0) )</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="preprocessor">#define KM_TCC4_COMP_C_MASK         KM_TCC4_C_COMP_OUT_SET</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac3b918f63867911f2546ac2e01115179">  177</a></span><span class="preprocessor">#define KM_TCC4_A_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a88cb7f80afad71498c444a1df31a1ea8">  181</a></span><span class="preprocessor">#define KM_TCC4_A_PWM_COMP_OUT_TOGGLE               (               _BV(COM4A0) )</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a000fe2edf133a49d3cffe8038d8b0086">  185</a></span><span class="preprocessor">#define KM_TCC4_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM4A1)                )</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a2d3f20ac087d45dcee1041cb96120935">  189</a></span><span class="preprocessor">#define KM_TCC4_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM4A1) |  _BV(COM4A0) )</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ac71afe6ce18fa4c71f4e0b14c8fd1567">  192</a></span><span class="preprocessor">#define KM_TCC4_B_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ab2e5e3e853bbc06d4c775468bc745760">  196</a></span><span class="preprocessor">#define KM_TCC4_B_PWM_COMP_OUT_TOGGLE               (               _BV(COM4B0) )</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad04a45063ecd12c8197eee953aa39513">  200</a></span><span class="preprocessor">#define KM_TCC4_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM4B1)                )</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad50af5b1c540bafb41b423b29fb3a42b">  204</a></span><span class="preprocessor">#define KM_TCC4_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM4B1) |  _BV(COM4B0) )</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#abf05f1be07367409341b00e611bf7343">  207</a></span><span class="preprocessor">#define KM_TCC4_C_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a8abd3585d49941b09d0fbcdfc55855ad">  211</a></span><span class="preprocessor">#define KM_TCC4_C_PWM_COMP_OUT_TOGGLE               (               _BV(COM4C0) )</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#add49787f603dc8ea51990b60539d5fe4">  215</a></span><span class="preprocessor">#define KM_TCC4_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM4C1)                )</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#abde7df15f21f0e216f533b75bbb1d8e5">  220</a></span><span class="preprocessor">#define KM_TCC4_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM4C1) |  _BV(COM4C0) )</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#define KM_KM_TCC4_INT_MASK_REG TIMSK4</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_28</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">#define KM_TCC4_PWM_DDR DDRD</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="preprocessor">#define KM_TCC4_PWM_PORT PORTD</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span><span class="preprocessor">#define KM_TCC4_PWM_PIN_A PD1</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span><span class="preprocessor">#define KM_TCC4_PWM_PIN_B PD2</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_DDR DDRE</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_OUTPUT PORTE</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_INPUT PINE</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="preprocessor">#define KM_TCC4_ICP4_PIN PE0</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="preprocessor">#define KM_TCC4_T4_PIN PE1</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_28 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a146d33c3cef33a47600299e1f7028b99">  246</a></span><span class="preprocessor">#define KM_TCC4_PWM_DDR DDRH</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aae17727a29280d0a178318a3d66b6f31">  248</a></span><span class="preprocessor">#define KM_TCC4_PWM_PORT PORTH</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a6b2b79ab8b5b253bf2dcca16197b7c43">  250</a></span><span class="preprocessor">#define KM_TCC4_PWM_PIN_A PH3</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a9d8e7eba59673f65617cc0171ac8c70a">  252</a></span><span class="preprocessor">#define KM_TCC4_PWM_PIN_B PH4</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a6486a93dc48f7a440c54ca668450707d">  254</a></span><span class="preprocessor">#define KM_TCC4_PWM_PIN_C PH5</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a741a352f6b427aa50abb56a85225f351">  257</a></span><span class="preprocessor">#define KM_TCC4_ICP4_PIN PL0</span></div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aab4de306ab9083a29b05c64a89e2c5b0">  259</a></span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_DDR DDRL</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a46d466d8ef157eefa524eaaae1c331e5">  261</a></span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_OUTPUT PORTL</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#af8669bb92ee8a49b19417a6e20c80660">  263</a></span><span class="preprocessor">#define KM_TCC4_ICP4_PORT_INPUT PORTL</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#aed8b79c8462dd2ac58ce8f7cd396fda1">  266</a></span><span class="preprocessor">#define KM_TCC4_T4_PIN PH7</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#ad11a9dcbed06c555445fbc5cb312bafd">  270</a></span><span class="preprocessor">#define KM_TCC4_PWM_BV_A    _BV(KM_TCC4_PWM_PIN_A)</span></div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a5362e142b512b98cc9cc52911cfb7003">  272</a></span><span class="preprocessor">#define KM_TCC4_PWM_BV_B    _BV(KM_TCC4_PWM_PIN_B)</span></div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno"><a class="line" href="km_timer4_defs_8h.html#a1c37810cab07dcbae3c53d1eac1f5f2f">  274</a></span><span class="preprocessor">#define KM_TCC4_PWM_BV_C    _BV(KM_TCC4_PWM_PIN_C)</span></div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="preprocessor">#endif </span><span class="comment">/* TIMSK4 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>}</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_4_DEFS_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="akm_timer_defs_8h_html"><div class="ttname"><a href="km_timer_defs_8h.html">kmTimerDefs.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer4_defs_8h.html">kmTimer4Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
